Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::Filter Struct Reference

`#include <LoopNest.h>`

## Public Member Functions

| Filter (const LoopNest *loop_nest)
template<typename T>
Filter & | operator<< (T &&x)

## Static Public Member Functions

static bool | enable_filter_printing ()

## Public Attributes

const LoopNest * | loop_nest
bool | logging = false

## Detailed Description

Definition at line 691 of file LoopNest.h.

## Constructor & Destructor Documentation

## Filter()

Halide::Internal::Autoscheduler::Filter::Filter | ( | const LoopNest * | loop_nest | ) |

inline explicit

Definition at line 695 of file LoopNest.h.

References enable_filter_printing(), logging, and loop_nest.

Referenced by operator<<().

## Member Function Documentation

## operator<<()

template<typename T>

Filter & Halide::Internal::Autoscheduler::Filter::operator<< | ( | T && | x | ) |

inline

Definition at line 706 of file LoopNest.h.

References Filter(), and logging.

## enable_filter_printing()

bool Halide::Internal::Autoscheduler::Filter::enable_filter_printing | ( |  | ) |

static

Referenced by Filter().

## Member Data Documentation

## loop_nest

const LoopNest* Halide::Internal::Autoscheduler::Filter::loop_nest

Definition at line 692 of file LoopNest.h.

Referenced by Filter().

## logging

bool Halide::Internal::Autoscheduler::Filter::logging = false

Definition at line 693 of file LoopNest.h.

Referenced by Filter(), and operator<<().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/LoopNest.h